Subject: Re: [PATCH v3 1/2] scsi: ufs: pass device information to apply_dev_quirks

From: Can Guo <[email-masked]>
Date: Thu, 20 Feb 2020 09:36:57 +0800

Hi Stanley,

On 2020-02-18 15:02, Stanley Chu wrote:
> Hi Can,
> 
> 
>> Hi Stanley,
>> 
>> Is this series merged? If no, would you mind moving
>> ufshcd_vops_apply_dev_quirks(hba, card); a little bit? Like below.
>> 
>> @@ -6852,14 +6852,14 @@ static void ufshcd_tune_unipro_params(struct
>> ufs_hba *hba)
>>                  ufshcd_tune_pa_hibern8time(hba);
>>          }
>> 
>> +       ufshcd_vops_apply_dev_quirks(hba, card);
>> +
>>          if (hba->dev_quirks & UFS_DEVICE_QUIRK_PA_TACTIVATE)
>>                  /* set 1ms timeout for PA_TACTIVATE */
>>                  ufshcd_dme_set(hba, UIC_ARG_MIB(PA_TACTIVATE), 10);
>> 
>> In this way, vendor codes have a chance to modify the dev_quirks
>> before ufshcd_tune_unipro_params() does the rest of its job.
>> 
> 
> This patch has been merged to 5.6-rc1.
> 
> Basically I am fine with your proposal. But if you need to move it to
> new mentioned position, our apply_dev_quirks callback also need
> corresponding change so it might need our co-works : )
> 
> For example, you could just post your proposed changes and then we 
> would
> provide corresponding change as soon as possible?
> 
> Besides, I would like to remind that allowing vendor to "fix" device
> quirks in advance imply that current common device quirks have some
> problems? If so, would you consider to fix common device quirks 
> instead?
> 
> 
>> Thanks,
>> Can Guo.
> 
> Thanks,
> Stanley Chu

Thanks for your cooperations on this :)

There are some failure seen with specific UFS devices on our platforms,
we can fix it with the quirk QUIRK_HOST_PA_TACTIVATE, but we are not
sure if other vendors need it or not. So we want to handle it more
carefully by limiting it to our platforms only. I had sent out that
patch weeks ago, so I will just upload the new patch as we both agreed
in that patch series.

Thanks,
Can Guo

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel